CS::Animation::iBodyBoneCollider Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodyBoneCollider Struct Reference

These are the properties of the collider associated to a bone. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodyBoneCollider:

List of all members.

## Public Member Functions
virtual bool | GetBoxGeometry (csVector3 &box_size) const =0
| If this collider has a box geometry then the method will return true and the size of the box, otherwise it will return false.
virtual bool | GetCapsuleGeometry (float &length, float &radius) const =0
| If this collider has a capsule geometry then the method will return true and the capsule's length and radius, otherwise it will return false.
virtual bool | GetConvexMeshGeometry (iMeshWrapper *&mesh) const =0
| If this collider has a convex mesh geometry then the method will return true and the mesh, otherwise it will return false.
virtual bool | GetCylinderGeometry (float &length, float &radius) const =0
| If this collider has a cylinder geometry then the method will return true and the cylinder's length and radius, otherwise it will return false.
virtual float | GetDensity () const =0
| Get the density of the body.
virtual float | GetElasticity () const =0
| Get the elasticity of the collider surface.
virtual float | GetFriction () const =0
| Get the friction of the collider surface.
virtual csColliderGeometryType | GetGeometryType () const =0
| Get the type of the collider geometry.
virtual bool | GetMeshGeometry (iMeshWrapper *&mesh) const =0
| If this collider has a mesh geometry then the method will return true and the mesh, otherwise it will return false.
virtual bool | GetPlaneGeometry (csPlane3 &plane) const =0
| If this collider has a plane geometry then the method will return true and the plane, otherwise it will return false.
virtual float | GetSoftness () const =0
| Get the softness of the collider surface.
virtual bool | GetSphereGeometry (float &radius) const =0
| If this collider has a sphere geometry then the method will return true and the sphere, otherwise it will return false.
virtual csOrthoTransform | GetTransform () const =0
| Get the local transform of this collider.
virtual bool | SetBoxGeometry (const csVector3 &box_size)=0
| Set the collider as a box (defined by the given size).
virtual bool | SetCapsuleGeometry (float length, float radius)=0
| Set the collider as a capsule.
virtual bool | SetConvexMeshGeometry (iMeshWrapper *mesh)=0
| Set the collider as the geometry of the given convex mesh factory.
virtual bool | SetCylinderGeometry (float length, float radius)=0
| Set the collider as a cylinder.
virtual void | SetDensity (float density)=0
| Set the density of the body.
virtual void | SetElasticity (float elasticity)=0
| Set the elasticity of the collider surface.
virtual void | SetFriction (float friction)=0
| Set the friction of the collider surface.
virtual bool | SetMeshGeometry (iMeshWrapper *mesh)=0
| Set the collider as the geometry of the given concave mesh factory.
virtual bool | SetPlaneGeometry (const csPlane3 &plane)=0
| Set the collider as a plane.
virtual void | SetSoftness (float softness)=0
| Set the softness of the collider surface.
virtual bool | SetSphereGeometry (float radius)=0
| Set the collider as a sphere.
virtual void | SetTransform (const csOrthoTransform &transform)=0
| Set the local transform of this collider.

## Detailed Description

These are the properties of the collider associated to a bone.

Refer to the iDynamicsSystemCollider documentation for further information on these properties.

Definition at line 435 of file bodymesh.h.

## Member Function Documentation

virtual bool CS::Animation::iBodyBoneCollider::GetBoxGeometry | ( | csVector3 & | box_size | ) | const`[pure virtual]`

If this collider has a box geometry then the method will return true and the size of the box, otherwise it will return false.

virtual bool CS::Animation::iBodyBoneCollider::GetCapsuleGeometry | ( | float & | length,
|  | float & | radius
| ) |  | const`[pure virtual]`

If this collider has a capsule geometry then the method will return true and the capsule's length and radius, otherwise it will return false.

virtual bool CS::Animation::iBodyBoneCollider::GetConvexMeshGeometry | ( | iMeshWrapper *& | mesh | ) | const`[pure virtual]`

If this collider has a convex mesh geometry then the method will return true and the mesh, otherwise it will return false.

virtual bool CS::Animation::iBodyBoneCollider::GetCylinderGeometry | ( | float & | length,
|  | float & | radius
| ) |  | const`[pure virtual]`

If this collider has a cylinder geometry then the method will return true and the cylinder's length and radius, otherwise it will return false.

virtual float CS::Animation::iBodyBoneCollider::GetDensity | ( |  | ) | const`[pure virtual]`

Get the density of the body.

virtual float CS::Animation::iBodyBoneCollider::GetElasticity | ( |  | ) | const`[pure virtual]`

Get the elasticity of the collider surface.

virtual float CS::Animation::iBodyBoneCollider::GetFriction | ( |  | ) | const`[pure virtual]`

Get the friction of the collider surface.

virtual csColliderGeometryType CS::Animation::iBodyBoneCollider::GetGeometryType | ( |  | ) | const`[pure virtual]`

Get the type of the collider geometry.

virtual bool CS::Animation::iBodyBoneCollider::GetMeshGeometry | ( | iMeshWrapper *& | mesh | ) | const`[pure virtual]`

If this collider has a mesh geometry then the method will return true and the mesh, otherwise it will return false.

virtual bool CS::Animation::iBodyBoneCollider::GetPlaneGeometry | ( | csPlane3 & | plane | ) | const`[pure virtual]`

If this collider has a plane geometry then the method will return true and the plane, otherwise it will return false.

virtual float CS::Animation::iBodyBoneCollider::GetSoftness | ( |  | ) | const`[pure virtual]`

Get the softness of the collider surface.

virtual bool CS::Animation::iBodyBoneCollider::GetSphereGeometry | ( | float & | radius | ) | const`[pure virtual]`

If this collider has a sphere geometry then the method will return true and the sphere, otherwise it will return false.

virtual csOrthoTransform CS::Animation::iBodyBoneCollider::GetTransform | ( |  | ) | const`[pure virtual]`

Get the local transform of this collider.

virtual bool CS::Animation::iBodyBoneCollider::SetBoxGeometry | ( | const csVector3 & | box_size | ) | `[pure virtual]`

Set the collider as a box (defined by the given size).

virtual bool CS::Animation::iBodyBoneCollider::SetCapsuleGeometry | ( | float | length,
|  | float | radius
| ) |  | `[pure virtual]`

Set the collider as a capsule.

virtual bool CS::Animation::iBodyBoneCollider::SetConvexMeshGeometry | ( | iMeshWrapper * | mesh | ) | `[pure virtual]`

Set the collider as the geometry of the given convex mesh factory.

virtual bool CS::Animation::iBodyBoneCollider::SetCylinderGeometry | ( | float | length,
|  | float | radius
| ) |  | `[pure virtual]`

Set the collider as a cylinder.

virtual void CS::Animation::iBodyBoneCollider::SetDensity | ( | float | density | ) | `[pure virtual]`

Set the density of the body.

virtual void CS::Animation::iBodyBoneCollider::SetElasticity | ( | float | elasticity | ) | `[pure virtual]`

Set the elasticity of the collider surface.

virtual void CS::Animation::iBodyBoneCollider::SetFriction | ( | float | friction | ) | `[pure virtual]`

Set the friction of the collider surface.

virtual bool CS::Animation::iBodyBoneCollider::SetMeshGeometry | ( | iMeshWrapper * | mesh | ) | `[pure virtual]`

Set the collider as the geometry of the given concave mesh factory.

virtual bool CS::Animation::iBodyBoneCollider::SetPlaneGeometry | ( | const csPlane3 & | plane | ) | `[pure virtual]`

Set the collider as a plane.

virtual void CS::Animation::iBodyBoneCollider::SetSoftness | ( | float | softness | ) | `[pure virtual]`

Set the softness of the collider surface.

virtual bool CS::Animation::iBodyBoneCollider::SetSphereGeometry | ( | float | radius | ) | `[pure virtual]`

Set the collider as a sphere.

virtual void CS::Animation::iBodyBoneCollider::SetTransform | ( | const csOrthoTransform & | transform | ) | `[pure virtual]`

Set the local transform of this collider.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h